<?php
/**
 * This is an altered PHP 5.6 compatible copy of Zend\HttpHandlerRunner\Exception\EmitterException
 *
 * @see       https://github.com/zendframework/zend-httphandlerrunner for the canonical source repository
 * @copyright Copyright (c) 2018 Zend Technologies USA Inc. (https://www.zend.com)
 * @license   https://github.com/zendframework/zend-httphandlerrunner/blob/master/LICENSE.md New BSD License
 */

namespace WPMC\HttpHandler;

class EmitterException extends \RuntimeException
{
    public static function forHeadersSent()
    {
        return new self('Unable to emit response; headers already sent');
    }

    public static function forOutputSent()
    {
        return new self('Output has been emitted previously; cannot emit response');
    }
}
